Name:           qtgpsc
Version:        0.2.3
Release:        5%{?dist}
Summary:        A client for the gpsd GPS server

Group:          Applications/Engineering
License:        BSD
URL:            http://www.navlost.eu/survey/gpsd/
Source0:        http://www.navlost.eu/survey/gpsd/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch0:         qtgpsc-0.2.3-gpsdclient.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt3-devel
BuildRequires:  libstdc++-devel
BuildRequires:  gpsd-devel

BuildRequires:  desktop-file-utils

%description
qtGPSc connects to a GPS receiver via gpsd and displays position, speed,
and time, as well as various precision indicators and satellite configuration.
It can also show the raw GPS data in GPSD or NMEA format.


%prep
%setup -q
%patch0 -p1 -b .gpsdclient


%build
qmake
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
rm -rf .ui/ && rm -rf .obj/ && rm -rf .moc
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dp -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Apr 02 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.3-5
- Include "gpsdclient.h" so it actually builds with the new gpsd

* Sun Mar 29 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.3-4
- Rebuild for new gpsd

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2.3-2
- License is BSD
- Fixed source URL
- Fixed .desktop file and added icon

* Tue Dec 30 2008 Fabian Affolter <fabian@bernewireless.net> - 0.2.3-1
- Initial package for Fedora
